local ZombieOwner = Player.GetPlayer("Turkey")

SendIdleZombies = function(interval)
	local idleZombies = Utils.Where(ZombieOwner.GetActorsByType("zombie"), function(actor)
		return actor.IsIdle
	end)

	Utils.Do(idleZombies, function(z)
		z.Hunt()
	end)

	Trigger.AfterDelay(interval, function()
		SendIdleZombies(interval)
	end)
end

--[[
ReinforceStartingZombies = function()
	local starts = { NorthWestRoadEntry.Location, NorthEastRoadEntry.Location }
	local types = { "zombie", "zombie", "zombie", "zombie", "zombie", "zombie", "zombie", "zombie", "zombie", "zombie" }

	Utils.Do(starts, function(start)
		local path = { start, start + CVec.New(0, 1) }
		Reinforcements.Reinforce(ZombieOwner, types, path, 8, IdleHunt)
	end)
end
]]--

WorldLoaded = function()
	SendIdleZombies(DateTime.Seconds(2))

	--ReinforceStartingZombies()
end

Tick = function()
end
